<h1 mat-dialog-title>Create your research focus</h1>
<div mat-dialog-content [formGroup]="formGroup" style="overflow: visible;">
    <p>Try not to be overly specific in the title so that others can also identify with it.</p>
    <mat-form-field style="width: 100%;">
        <mat-label>Focus Title</mat-label>
        <input matInput formControlName="name">
        <mat-error *ngIf="formGroup.get('name')!.value!.length != 0">Max length is {{Global.textFormFieldsLength}} characters.</mat-error>
    </mat-form-field>
    <mat-form-field style="width: 100%;">
        <mat-label>Describe your focus</mat-label>
        <textarea matInput formControlName="description" rows="7"></textarea>
        <mat-error *ngIf="formGroup.get('description')!.value!.length != 0">Max length is {{Global.textAreaFormFieldsLength}} characters.</mat-error>
    </mat-form-field>
</div>
<div mat-dialog-actions>
    <button mat-button (click)="this.dialogRef.close()">Exit</button>
    <button mat-button (click)="save()" [disabled]="!formGroup.valid" cdkFocusInitial>Create</button>
    <mat-spinner
      #spinner
      [ngStyle]="{'display': spinnerVisible ? 'block' : 'none'}"
      style="width: 40px; margin-left: 20px;"
    ></mat-spinner>
</div>
